import javax.persistence.EntityManager;
import javax.persistence.EntityManagerFactory;
import javax.persistence.Persistence;

public class Main {
  public static void main(String[] a) throws Exception {
    JPAUtil util = new JPAUtil();

    EntityManagerFactory emf = Persistence.createEntityManagerFactory("ProfessorService");
    EntityManager em = emf.createEntityManager();
    ProfessorService service = new ProfessorService(em);

    em.getTransaction().begin();

    service.init(3);
    service.next();
    service.previous();

    for (Object o : service.getCurrentResults()) {
      System.out.print(o);
    }

    System.out.println("Page " + (service.getCurrentPage() + 1) + " of " + service.getMaxPages());

    if (service.getCurrentPage() == 0) {
      System.out.print("Previous disabled ");
    }

    if (service.getCurrentPage() + 1 == service.getMaxPages()) {
      System.out.print("Next disabled ");
    }

    util.checkData("select * from Professor");
    util.checkData("select * from Department");

    em.getTransaction().commit();
    em.close();
    emf.close();
  }
}