import java.util.List;

import javax.persistence.EntityManager;
import javax.persistence.Query;

public class ProfessorService {
  protected EntityManager em;

  public ProfessorService(EntityManager em) {
    this.em = em;
  }
  
  private int currentPage;
  private int maxResults;
  private int pageSize;
  
  public int getPageSize() {
      return pageSize;
  }
  
  public int getMaxPages() {
      return maxResults / pageSize;
  }

  public void init(int pageSize) {
      this.pageSize = pageSize;
      maxResults = ((Long) em.createQuery("SELECT COUNT(e) FROM Professor e")
                                  .getSingleResult()).intValue();
      currentPage = 0;
  }
  
  public List getCurrentResults() {
      return em.createQuery("SELECT e FROM Professor e")
               .setFirstResult(currentPage * pageSize)
               .setMaxResults(pageSize)
               .getResultList();
  }
  
  public void next() {
      currentPage++;
  }
  
  public void previous() {
      currentPage--;
      if (currentPage < 0) {
          currentPage = 0;
      }
  }
  
  public int getCurrentPage() {
      return currentPage;
  }
  
  public void setCurrentPage(int currentPage) {
      this.currentPage = currentPage;
  }


}
